> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wavecentric.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Databases

Lists all available collections for a specific data source.


## OpenAPI

````yaml GET /api/v1/datalake/{source}/databases
openapi: 3.1.0
info:
  title: WaveCentric AI LooP API
  description: >-
    Comprehensive API for managing omnichannel logistics, inquiries, tasks, and
    data lake operations.
  version: 1.0.0
servers:
  - url: https://ai-loop.alpeadria.com
    description: Production server
security: []
paths:
  /api/v1/datalake/{source}/databases:
    get:
      tags:
        - Data Lake
      summary: List databases
      operationId: get-datalake-databases
      parameters:
        - name: source
          in: path
          required: true
          schema:
            type: string
          description: Data source (e.g. ailoop, fleet)
      responses:
        '200':
          description: List of databases for the source
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/DatabaseInfo'
              examples:
                success:
                  value:
                    - name: db_ai-loop_V3_Services
                      userFriendlyName: V3_Services
                    - name: db_ai-loop_V3_Intermodal_Gateway
                      userFriendlyName: V3_Intermodal_Gateway
      security:
        - bearerAuth: []
components:
  schemas:
    DatabaseInfo:
      type: object
      properties:
        name:
          type: string
          description: Actual MongoDB collection name
        userFriendlyName:
          type: string
          description: Human-readable name without prefix
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````